
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

This patch has been in my tree for monthes and Paulus agrees that it should
be made generic, so here we go, PPC32 is now proud to run at 1000HZ :)



---

 include/asm-ppc/param.h |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

diff -puN include/asm-ppc/param.h~ppc32-1000-hz include/asm-ppc/param.h
--- 25/include/asm-ppc/param.h~ppc32-1000-hz	2004-01-21 20:14:50.000000000 -0800
+++ 25-akpm/include/asm-ppc/param.h	2004-01-21 20:14:50.000000000 -0800
@@ -1,16 +1,16 @@
 #ifndef _ASM_PPC_PARAM_H
 #define _ASM_PPC_PARAM_H
 
-#ifndef HZ
-#define HZ 100
-#endif
-
 #ifdef __KERNEL__
-#define HZ		100		/* internal timer frequency */
+#define HZ		1000		/* internal timer frequency */
 #define USER_HZ		100		/* for user interfaces in "ticks" */
 #define CLOCKS_PER_SEC	(USER_HZ)	/* frequency at which times() counts */
 #endif /* __KERNEL__ */
 
+#ifndef HZ
+#define HZ 100
+#endif
+
 #define EXEC_PAGESIZE	4096
 
 #ifndef NGROUPS

_
